### Method

# Atspi Text get_bounded_ranges

#### Declaration [src]

    GArray*
    atspi_text_get_bounded_ranges (
      AtspiText* obj,
      gint x,
      gint y,
      gint width,
      gint height,
      AtspiCoordType type,
      AtspiTextClipType clipTypeX,
      AtspiTextClipType clipTypeY,
      GError** error
    )

#### Description [src]

Gets the ranges of text from an `AtspiText` object which lie within the bounds defined by (`x`, `y`) and (`x`+`width`, `y`+`height`).

#### Parameters

`x`

  Type: `gint`

  The ‘starting’ x coordinate of the bounding box.

`y`

  Type: `gint`

  The ‘starting’ y coordinate of the bounding box.

`width`

  Type: `gint`

  The x extent of the bounding box.

`height`

  Type: `gint`

  The y extent of the bounding box.

`type`

  Type: `AtspiCoordType`

  An `AccessibleCoordType` indicating the coordinate system to use for the returned values.

`clipTypeX`

  Type: `AtspiTextClipType`

  An `AtspiTextClipType` indicating how to treat characters that intersect the bounding box’s x extents.

`clipTypeY`

  Type: `AtspiTextClipType`

  An `AtspiTextClipType` indicating how to treat characters that intersect the bounding box’s y extents.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

A null-terminated list of pointers to `AtspiTextRange` structs detailing the bounded text.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.